Opened 13 years ago

Last modified 7 years ago

#383 closed defect (Fixed)

Confusing "this version is not recommended" message

Reported by: nickm Owned by: nickm
Priority: Low Milestone: 0.1.2.x-final
Component: Core Tor/Tor Version: 0.1.2.6-alpha
Severity: Keywords:
Cc: nickm Actual Points:
Parent ID: Points:
Reviewer: Sponsor:

Description

I got three cached networkstatuses, with client-versions lines:

client-versions 0.1.1.26,0.1.2.4-alpha,0.1.2.5-alpha,0.1.2.6-alpha
client-versions 0.1.1.26,0.1.2.6-alpha,0.1.2.7-alpha
client-versions 0.1.1.26,0.1.2.4-alpha,0.1.2.5-alpha,0.1.2.6-alpha

The following message appeared on my console:

Jan 26 23:20:38.801 [warn] Please upgrade! This version of Tor (0.1.2.6-alpha-dev)
is not recommended, according to 3/3 network statuses. Versions recommended by at
least 1 authority are: 0.1.1.26, 0.1.2.4-alpha, 0.1.2.5-alpha, 0.1.2.6-alpha

The log message is plainly wrong; should it say "more than one authority"? Also,
if the consensus among authorities is that 0.1.2.6-alpha is the most recent, shouldn't
I get the "newer than recommended" message instead of the "not recommended" message?

[Automatically added by flyspray2trac: Operating System: All]

Child Tickets

Change History (2)

comment:1 Changed 13 years ago by nickm

flyspray2trac: bug closed.
Fixed in r9523.

comment:2 Changed 7 years ago by nickm

Component: Tor ClientTor
Note: See TracTickets for help on using tickets.